Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Departments

Get Department
GET /departments/{departmentId}
https://api.relesystest.net/api/v1.4/departments/{departmentId}
Get a specific department object by the ID provided.
Scopes: relesys.api, relesys.api:read, relesys.api.users, relesys.api.users:read
URL Path
departmentId string / guid The department's unique identifier required
Responses
application/json
JSON
{"data":{"id":"32934974-26a7-4641-9eda-a1e66d286363","url":null,"creationDateTime":"2026-06-11T19:13:04.3415646Z","lastModifiedDateTime":"2026-06-11T19:13:04.3415646Z","name":"Relesys Main HQ","parentId":"9302ef38-7d73-4365-ad68-d35fe5d9ecbc","externalId":"HQ","addressLine":"Relesys Road 10","addressLine2":"2nd floor","zipCode":"2920","city":"Relecity","defaultPhoneCountryCode":45,"phoneNumber":{"countryCode":45,"number":"12345678"},"managerUserId":"c5e2aa21-3a38-47c2-9e69-e29cdd715a81","showInContacts":true,"showInHighscores":true,"showInActivityStatistics":true,"contentCulture":"da-dk","uiCulture":"da-dk","type":"Company","timeZone":"UTC","email":"Test@test.com","userLanguageEnabled":true,"selectedCultures":["da-DK","en-GK"],"showDepartmentManagerPublic":false,"showEmployeeList":true,"showDepartmentUsersInPublicContacts":true,"showDepartmentInTaggingOverview":true,"showUsersInTaggingOverview":true,"showContactList":false,"locales":[{"culture":"en-GB","description":"Example description"}]}}
object
  data object      
   addressLine string      
   addressLine2 string      
   city string      
   contentCulture string      
   creationDateTime datetime      
   defaultPhoneCountryCode integer      
   email string      
   externalId string      
   id string / guid      
   lastModifiedDateTime datetime      
   locales array[object]      
    culture string      
    description string      
   managerUserId string / guid      
   name string      
   parentId string / guid      
   phoneNumber object      
    countryCode integer      
    number string      
   selectedCultures array[string]      
   showContactList boolean      
   showDepartmentInTaggingOverview boolean      
   showDepartmentManagerPublic boolean      
   showDepartmentUsersInPublicContacts boolean      
   showEmployeeList boolean      
   showInActivityStatistics boolean      
   showInContacts boolean      
   showInHighscores boolean      
   showUsersInTaggingOverview boolean      
   timeZone string      
   type string      
   uiCulture string      
   url string      
   userLanguageEnabled boolean      
   zipCode string